/// @file [!output SUITE_NAME].hpp
///
/// [!output DESCRIPTION_TEXT]
///
/// @author [!output AUTHOR_NAME]
/// @date   [!output CURRENT_DATE]: [!output AUTHOR_NAME]    -- Initial release.
///
/// TODO: Change the copyright notice here. [!output CURRENT_YEAR]
///
///  Verify data with these TEST ASSERTIONS:
///
///  TS_FAIL(message):                        Fail unconditionally
///  TS_ASSERT(expr):                         Verify (expr) is true
///  TS_ASSERT_EQUALS(x, y):                  Verify (x==y)
///  TS_ASSERT_SAME_DATA(x, y, size):         Verify two buffers are equal
///  TS_ASSERT_DELTA(x, y, d):                Verify (x==y) up to d
///  TS_ASSERT_DIFFERS(x, y):                 Verify !(x==y)
///  TS_ASSERT_LESS_THAN(x, y):               Verify (x<y)
///  TS_ASSERT_LESS_THAN_EQUALS(x, y):        Verify (x<=y)
///  TS_ASSERT_PREDICATE(P, x):               Verify P(x)
///  TS_ASSERT_RELATION(R, x, y):             Verify x R y, ex. TS_ASSERT_RELATION(std::greater, x, y);
///  TS_ASSERT_THROWS(expr, type):            Verify that (expr) throws a specific type of exception.
///  TS_ASSERT_THROWS_EQUALS(expr, arg, x, y):Verify type and value of what (expr) throws
///  TS_ASSERT_THROWS_ANYTHING(expr):         Verify that (expr) throws an exception
///  TS_ASSERT_THROWS_NOTHING(expr):          Verify that (expr) doesn't throw anything
///  TS_WARN(message):                        Print message as a warning
///  TS_TRACE(message):                       Print message as an information message
///
//  ***************************************************************************
#ifndef [!output SUITE_NAME]_H_INCLUDED
#define [!output SUITE_NAME]_H_INCLUDED

#include <cxxtest/TestSuite.h>

//  ***************************************************************************
/// [!output SUITE_NAME] Test Suite class.
///
class [!output SUITE_NAME] : public CxxTest::TestSuite
{
public:

  [!output SUITE_NAME]();

  // Fixture Management *******************************************************
  // setUp will be called before each test case in order to setup common fixtures.
  virtual void setUp();
  // tearDown will be called after each test case to clean up common resources.
  virtual void tearDown();

protected:
  // Test Suite Data **********************************************************

  // Creator Methods **********************************************************
  // TODO: Use creator methods to reduce redundant setup code in test cases.

public:
  // Test Cases ***************************************************************
  // TODO: Add a new function for each unique test to be performed in this suite. 
  void TestCase1(void);

};

#endif